Metafunction
OrC
Metaprogramming boolean "or" operator, value variant.
OrC<B1, B2>::Type
OrC<B1, B2>::VALUE
Include Headers
seqan/basic.h
Parameters

B1 | Left-hand argument. Types: bool
B2 | Right-hand argument. Types: bool

Return Values
B1 || B2.
Examples
OrC<false, true>::Type
OrC<false, false>::VALUE
OrC<AndC<false, true>::VALUE, false>::Type
OrC<AndC<false, true>, true>::Type
See Also
And, Or, AndC
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59